/* style.css */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


/* CORREÇÃO RESPONSIVIDADE */
html {
  overflow-x: hidden;
}

body{
  font-family:'Poppins', sans-serif;
 
  overflow-x:hidden;
  background: linear-gradient(135deg, #ff9d3f, #ff5e00)
}

body::before{
  content:'';
  position:fixed;
  inset:0;

  background-image:url('noise-lines.png');

  opacity: 0.07;
  pointer-events:none;
}

.hero::after{
  content:'';
  position:absolute;

  width:500px;
  height:500px;

  background:#ff6b0025;

  border-radius:50%;

  filter:blur(120px);

  top:-150px;
  right:-100px;

  z-index:0;
}

/*body {
  font-family: "Poppins", sans-serif;
  background: linear-gradient(135deg, #ff9d3f, #c24a04)
  color: #222;
  overflow-x: hidden;
}*/

/*.container {
  width: 90%;
  max-width: 1200px;
  margin: auto;
}*/

/* HEADER */

.header{
  width: 100%;
  padding: 22px 8%;

  display: flex;
  justify-content: space-between;
  align-items: center;

  position: fixed;
  top: 0;
  left: 0;

  z-index: 999;

  background: rgba(0,0,0,0.55);
  backdrop-filter: blur(12px);

  border-bottom: 1px solid rgba(255,255,255,0.05);
}

/* LOGO */

.logo img{
  width: 220px;
  display: block;
}

/* MENU */

.menu{
  display: flex;
  align-items: center;
  gap: 35px;
}

.menu a{
  color: white;
  text-decoration: none;
  font-weight: 500;
  font-size: .95rem;

  transition: .3s ease;
}

.menu a:hover{
  color: #ff7a00;
}

/* LINK ATIVO */

.menu .active{
  color: #ff7a00;
}

/* BOTÃO */

.btn-contato{
  background: linear-gradient(135deg, #ff9d3f, #ff5e00);

  padding: 14px 28px;
  border-radius: 999px;

  color: white !important;
  font-weight: 600;

  transition: .3s ease;
}

.btn-contato:hover{
  transform: translateY(-3px);

  box-shadow: 0 10px 25px rgba(255,122,0,0.35);
}

/* RESPONSIVO */

@media(max-width: 768px){

  .header{
    padding: 18px 5%;
  }

  .logo img{
    width: 115px;
  }

  .menu{
    gap: 18px;
  }

  .menu a{
    font-size: .85rem;
  }

  .btn-contato{
    padding: 10px 18px;
  }

}

/* HERO */

.hero {
  background: #101010;
  padding: 80px 0;
  overflow: hidden;

}

.hero-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 50px;
  margin-top: 40px;
}

.hero-text {
  flex: 1;
  color: white;
  margin-left: 30px;
}

.hero-text h1 {
  font-size: clamp(2.3rem, 8vw, 4rem);
  line-height: 1.1;
  margin-bottom: 25px;

  word-break: break-word;
}

.hero-text p {
  font-size: 1.1rem;
  margin-bottom: 35px;
  max-width: 500px;
}

.btn-secondary {
  background: white;
  color: #ff6b00;
  border: none;
  padding: 15px 28px;
  border-radius: 12px;
  font-weight: 600;
  cursor: pointer;
  transition: 0.3s;
}

.btn-secondary:hover {
  transform: translateY(-3px);
}

.hero-image {
  flex: 1;
  margin-right: 30px;
}

.hero-image img {
  width: 100%;
  border-radius: 30px;
  object-fit: cover;
}

/* CLIENTES */

.clients {
  padding: 40px 0;
}

.clients-content {
  background: white;
  padding: 30px;
  border-radius: 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.05);
}

.clients-logos {
  display: flex;
  gap: 40px;
}

/* SERVICES */

.services {
  padding: 90px 0;
  margin: 30px;
}

.section-title {
  text-align: center;
  margin-bottom: 50px;
  color: white;
}

.section-title h2 {
  font-size: 2.2rem;
}

.services-grid {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 20px;
}

.service-card {
  background: white;
  padding: 35px 25px;
  border-radius: 20px;
  text-align: center;
  transition: 0.3s;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

.service-card:hover {
  transform: translateY(-10px);
}

.service-card i {
  font-size: 2rem;
  color: #ff6b00;
  margin-bottom: 20px;
}

.service-card h3 {
  margin-bottom: 15px;
}

/* ABOUT */

.about {
  padding-bottom: 100px;
  margin: 30px;
}

.about-content {
  display: flex;
  align-items: center;
  gap: 60px;
}

.about-image {
  flex: 1;
}

.about-image img {
  width: 100%;
  border-radius: 25px;
}

.about-text {
  flex: 1;
  color: #ffffff;
}

.about-text span {
  color: #ff6b00;
  font-weight: 600;
}

.about-text h2 {
  font-size: 3rem;
  margin: 20px 0;
}

.about-text p {
  margin-bottom: 30px;
  line-height: 1.7;
}

/* RESPONSIVO */

@media (max-width: 992px) {
  .hero-content,
  .about-content {
    flex-direction: column;
  }

  .services-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 768px) {
  .nav-links {
    position: fixed;
    top: 0;
    right: -100%;

    width: 70%;
    height: 100vh;

    background: #ff8c32;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    transition: 0.3s;
}
  .mobile-menu {
    display: block;
  }

  .hero-text h1 {
    font-size: 2.7rem;
  }

  .clients-content {
    flex-direction: column;
    gap: 20px;
  }

  .clients-logos {
    flex-wrap: wrap;
    justify-content: center;
  }

  .services-grid {
    grid-template-columns: 1fr;
  }

  .about-text h2 {
    font-size: 2rem;
  }

  /* MENU MOBILE */

.menu-toggle{
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 6px;
  z-index: 1001;
}

.menu-toggle span{
  width: 28px;
  height: 3px;
  background: white;
  border-radius: 999px;
  transition: .3s;
}

/* RESPONSIVO TABLET */

@media (max-width: 992px){

  .hero-content,
  .about-content{
    flex-direction: column;
    text-align: center;
  }

  .hero-text{
    margin-left: 0;
  }

  .hero-image{
    margin-right: 0;
  }

  .services-grid{
    grid-template-columns: repeat(2, 1fr);
  }

}

/* RESPONSIVO TABLET */

@media (max-width: 992px){

  .hero-content,
  .about-content{
    flex-direction: column;
    text-align: center;
  }

  .hero-text{
    margin-left: 0;
  }

  .hero-image{
    margin-right: 0;
  }

  .services-grid{
    grid-template-columns: repeat(2, 1fr);
  }

}

/* MENU MOBILE */

.menu-toggle{
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 6px;
  z-index: 1001;
}

.menu-toggle span{
  width: 28px;
  height: 3px;
  background: white;
  border-radius: 999px;
  transition: .3s;
}

/* RESPONSIVO MOBILE */

@media (max-width: 768px){

  .header{
    padding: 18px 5%;
  }

  .logo img{
    width: 115px;
  }

  .menu-toggle{
    display: flex;
  }

  .menu{
    position: fixed;
    top: 0;
    right: -100%;

    width: 75%;
    max-width: 320px;
    height: 100vh;

    background: #111;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    gap: 35px;

    transition: .4s ease;
    box-shadow: -10px 0 30px rgba(0,0,0,0.4);
  }

  .menu.active{
    right: 0;
  }

  .menu a{
    font-size: 1.1rem;
  }

  .btn-contato{
    margin-top: 10px;
  }

  .hero{
    padding: 120px 20px 60px;
  }

  .hero-content{
    flex-direction: column;
    width: 100%;
    max-width: 100%;
    gap: 30px;
    text-align: center;
  }

  .hero-text{
    margin-left: 0;
    width: 100%;
  }

  .hero-text h1{
    font-size: 2.7rem;
    line-height: 1;
  }

  .hero-text p{
    max-width: 100%;
  }

  .hero-image{
    width: 100%;
    margin-right: 0;
  }

  .clients-content{
    flex-direction: column;
    gap: 20px;
  }

  .clients-logos{
    flex-wrap: wrap;
    justify-content: center;
  }

  .services-grid{
    grid-template-columns: 1fr;
  }

  .about-text h2{
    font-size: 2rem;
  }

  /* ANIMAÇÃO HAMBURGUER */

  .menu-toggle.active span:nth-child(1){
    transform: rotate(45deg) translate(7px, 6px);
  }

  .menu-toggle.active span:nth-child(2){
    opacity: 0;
  }

  .menu-toggle.active span:nth-child(3){
    transform: rotate(-45deg) translate(7px, -6px);
  }

}

/* TELAS MUITO PEQUENAS */

@media (max-width: 480px){

  .hero{
    padding-top: 140px;
  }

  .hero-text h1{
    font-size: 2.2rem;
  }

  .hero-text p{
    font-size: 1rem;
  }

  .services,
  .about{
    margin: 15px;
  }

}
}